Closed Bug 954498 Opened 6 years ago Closed 6 years ago

Add "copy link to tweet" to tweet context menu

Categories

(Instantbird :: Conversation, defect)

x86
All
defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: clokep)

References

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 1062 at 2011-10-07 09:07:00 UTC ***

On twitter's webpage, the timestamp of a tweet is a link to a webpage containing the single tweet. It would be convenient if IB could also provide this link.
*** Original post on bio 1062 at 2011-10-21 00:07:49 UTC ***

The format of the link seems to be https://twitter.com/#!/<username>/status/<status ID>

I do not think this link is actually given to us anywhere, but can easily be made from the info in the tweet.
Attached patch Adds a Copy Link action (obsolete) — Splinter Review
*** Original post on bio 1062 as attmnt 915 at 2011-10-21 00:34:00 UTC ***

This adds a "Copy Tweet URL" action, perhaps it should be "Copy Tweet Link"? I don't know.

Note to self: always use _tweet.id_str and not _tweet.id.
Attachment #8352657 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
*** Original post on bio 1062 as attmnt 916 at 2011-10-21 00:40:00 UTC ***

The only difference is the removal of a debug statement.
Attachment #8352658 - Flags: review?(florian)
Comment on attachment 8352657 [details] [diff] [review]
Adds a Copy Link action

*** Original change on bio 1062 attmnt 915 at 2011-10-21 00:40:22 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352657 - Attachment is obsolete: true
Attachment #8352657 - Flags: review?(florian)
Comment on attachment 8352658 [details] [diff] [review]
Adds a Copy Link action v2

*** Original change on bio 1062 attmnt 916 at 2011-10-26 10:55:08 UTC ***

Looks good and works well.

Per IRC discussion yesterday, we are going to use the string "Copy Link to Tweet".
Attachment #8352658 - Flags: review?(florian) → review+
*** Original post on bio 1062 at 2011-10-26 23:26:41 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/ed7ae3c364bc
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.